Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2163442 - isync/mbsync fails when syncing from gmail or kolabnow
Summary: isync/mbsync fails when syncing from gmail or kolabnow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: isync
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-23 13:49 UTC by David Cantrell
Modified: 2023-02-28 03:03 UTC (History)
3 users (show)

Fixed In Version: isync-1.4.4-5.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-28 03:03:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description David Cantrell 2023-01-23 13:49:26 UTC
I noticed a change with isync linking against openssl 3.  mbsync will sync some messages and folders, but you eventually get an SSL error.

I looked at the rawhide version of the package and there's an OpenSSL EOF patch.  I built the rawhide package on F37 and it works.  So can we get that patch brought to the F37 branch and an update built?

Comment 1 Boyd 2023-02-14 21:36:05 UTC
Getting this error as well.   Seems other distros have this patched.  
https://bugs.archlinux.org/task/76467
https://github.com/NixOS/nixpkgs/pull/211263


Can this be fixed in 37/38?

Comment 2 Fedora Update System 2023-02-19 00:21:26 UTC
FEDORA-2023-d065b099d4 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d065b099d4

Comment 3 Fedora Update System 2023-02-20 03:01:51 UTC
FEDORA-2023-d065b099d4 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d065b099d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d065b099d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-02-28 03:03:04 UTC
FEDORA-2023-d065b099d4 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.